#include <stdio.h>
#include <htc.h>
#include <pic.h>

/* A simple demonstration of serial communications which
 * uses the bit-banging implementation of a serial communications.
 * Useful for PIC16Cxxx series of devices, or if USART is already
 * in use. */
void main(void){
	unsigned char input;

	INTCON=0;	// purpose of disabling the interrupts.
	ADCON1=0x06; // disable ADC on PORTA

	printf("\n\rPress a key and I will echo it back:\n\r");
	while(1)
	{
		while(input = getch())  // read a response from the user
		{	
			printf("I detected [%c]\n\r",input);	// echo it back
		}
	}
}
